<template>
    <transition name="fade">
        <div class="warning-block white-block" v-if="notificationText">
            <b>Внимание!</b>
            <div v-html="notificationText"></div>
        </div>
    </transition>
</template>

<script>
  export default {
    inject: ['ActiveLoan'],
    computed: {
      notificationText() {

        if (this.$pdl.supplementary.amnesty) {
            switch(this.$pdl.supplementary.amnesty.status) {
              case 1:
                return `Для оформления амнистии вам необходимо <a data-action="amnesty-sign">подписать</a> доп.соглашение до ${this.$dayjs(this.$pdl.supplementary.amnesty.signDateEnd).format('DD.MM.YYYY (HH:mm)')}`
                break;

              case 2:
                return `По доп.соглашению об амнистии, вам  необходимо <a data-action="amnesty-payment">оплатить</a> ${this.currencyFilter(this.amnestyDepositAmount)} ₽ до ${this.$dayjs(this.$pdl.supplementary.amnesty.loanDateEnd).format('DD.MM.YYYY (HH:mm)')}`
                break;
            }
        }

        if (this.$pdl.supplementary.installment) {

          if ([1, 2].includes(this.$pdl.supplementary.installment.status)) {

            if (this.$pdl.supplementary.installment.status === 1) {
              return `Для оформления рассрочки вам необходимо <a data-action="installment-sign" class="text-decoration">подписать</a> доп.соглашение до ${this.$dayjs(this.$pdl.supplementary.installment.signDateEnd).format('DD.MM.YYYY (HH:mm)')}`
            }


            if (this.$pdl.supplementary.installment.status === 2) {
              return `Для оформления рассрочки вам необходимо <a data-action="installment-pay" class="text-decoration">оплатить</a> ${this.currencyFilter(this.installmentDepositAmount)} рублей до ${this.$dayjs(this.$pdl.supplementary.installment.payDateEnd).format('DD.MM.YYYY (HH:mm)')}`
            }
            return ''

          }
        }

        return '';

      },

      installmentDepositAmount () {
        let amount = this.$pdl.supplementary.installment.depositAmount;
        if (this.$posServices) {
          amount += this.$posServices.sumTotal;
        }

        return amount;
      },

        amnestyDepositAmount () {
          let sum = parseFloat(this.$pdl.supplementary.amnesty.depositAmount);

          if (this.$posServices) {
              sum += parseFloat(this.$posServices.sumTotal);
          }

          return sum;
        }
    },

    mounted () {

      this.$nextTick(() => {
          this.events();
      })
    },

      updated () {
        this.events();

      },

      methods: {
        events () {
            if (this.$pdl.supplementary.amnesty) {
                switch(this.$pdl.supplementary.amnesty.status) {
                    case 1:
                        document.querySelector("[data-action='amnesty-sign']").addEventListener('click', () => {
                            this.ActiveLoan.signAmnesty();
                        });
                        break;
                    case 2:
                        document.querySelector("[data-action='amnesty-payment']").addEventListener('click', () => {
                            this.ActiveLoan.payAmnesty();
                        });
                        break;
                }
            }


            if (this.$pdl.supplementary.installment) {
                if (this.$pdl.supplementary.installment.status === 1) {
                    document.querySelector("[data-action='installment-sign']").addEventListener('click', () => {
                        this.ActiveLoan.signInstallment();
                    });
                }

                if (this.$pdl.supplementary.installment.status === 2) {
                    document.querySelector("[data-action='installment-pay']").addEventListener('click', () => {
                        this.ActiveLoan.payInstallmentDeposit();
                    });
                }
            }
        }
      }
  }
</script>

<style>

    a[data-action] {
        cursor: pointer;
    }

</style>
